Loading...
Searching...
No Matches
casacore::MSDataDescriptionEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet DATA_DESCRIPTION table. More...

`#include <MSDataDescEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , FLAG_ROW , POLARIZATION_ID , SPECTRAL_WINDOW_ID , NUMBER_REQUIRED_COLUMNS , LAG_ID , NUMBER_PREDEFINED_COLUMNS }
| The DATA_DESCRIPTION table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet DATA_DESCRIPTION table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet DATA_DESCRIPTION table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSDataDescription class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSDataDescEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSDataDescriptionEnums::PredefinedColumns

The DATA_DESCRIPTION table colums with predefined meaning.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
FLAG_ROW | Flag for this row Bool.
POLARIZATION_ID | polarization id, pointer to polarization table Int.
SPECTRAL_WINDOW_ID | Spectral window id, pointer to spectral window table Int.
NUMBER_REQUIRED_COLUMNS | Number of required columns.
LAG_ID | Lag Id - points to LAG subtable which describes lag correlation functions Int.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 60 of file MSDataDescEnums.h.

## PredefinedKeywords

enum casacore::MSDataDescriptionEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 83 of file MSDataDescEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSDataDescEnums.h